package io.undertow.websockets.core;

import java.lang.IllegalStateException;
import io.undertow.websockets.WebSocketExtension;
import java.io.Serializable;
import javax.annotation.Generated;
import java.io.UnsupportedEncodingException;
import io.undertow.websockets.core.WebSocketFrameCorruptedException;
import java.lang.String;
import java.io.IOException;
import java.util.zip.DataFormatException;
import io.undertow.websockets.core.WebSocketInvalidCloseCodeException;
import java.util.Collection;
import io.undertow.websockets.core.WebSocketFrameType;
import java.util.List;
import io.undertow.websockets.core.WebSocketHandshakeException;
import java.util.Arrays;
import java.lang.IllegalArgumentException;
import java.lang.UnsupportedOperationException;

/**
 * Warning this class consists of generated code.
 */
@Generated(value = "org.jboss.logging.processor.generator.model.MessageBundleImplementor", date = "2017-06-05T19:57:18-0400")
public class WebSocketMessages_$bundle implements WebSocketMessages,Serializable {
    private static final long serialVersionUID = 1L;
    protected WebSocketMessages_$bundle() {}
    public static final WebSocketMessages_$bundle INSTANCE = new WebSocketMessages_$bundle();
    protected Object readResolve() {
        return INSTANCE;
    }
    private static final String missingHeader = "UT002001: Not a WebSocket handshake request: missing %s in the headers";
    protected String missingHeader$str() {
        return missingHeader;
    }
    @Override
    public final io.undertow.websockets.core.WebSocketHandshakeException missingHeader(final String header) {
        final io.undertow.websockets.core.WebSocketHandshakeException result = new io.undertow.websockets.core.WebSocketHandshakeException(String.format(missingHeader$str(), header));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String channelClosed = "UT002002: Channel is closed";
    protected String channelClosed$str() {
        return channelClosed;
    }
    @Override
    public final IOException channelClosed() {
        final IOException result = new IOException(String.format(channelClosed$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String invalidTextFrameEncoding = "UT002003: Text frame contains non UTF-8 data";
    protected String invalidTextFrameEncoding$str() {
        return invalidTextFrameEncoding;
    }
    @Override
    public final UnsupportedEncodingException invalidTextFrameEncoding() {
        final UnsupportedEncodingException result = new UnsupportedEncodingException(String.format(invalidTextFrameEncoding$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String notAllPayloadDataWritten = "UT002004: Cannot call shutdownWrites, only %s of %s bytes written";
    protected String notAllPayloadDataWritten$str() {
        return notAllPayloadDataWritten;
    }
    @Override
    public final IOException notAllPayloadDataWritten(final long written, final long payloadSize) {
        final IOException result = new IOException(String.format(notAllPayloadDataWritten$str(), written, payloadSize));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String fragmentedControlFrame = "UT002005: Fragmented control frame";
    protected String fragmentedControlFrame$str() {
        return fragmentedControlFrame;
    }
    @Override
    public final io.undertow.websockets.core.WebSocketFrameCorruptedException fragmentedControlFrame() {
        final io.undertow.websockets.core.WebSocketFrameCorruptedException result = new io.undertow.websockets.core.WebSocketFrameCorruptedException(String.format(fragmentedControlFrame$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String toBigControlFrame = "UT002006: Control frame with payload length > 125 octets";
    protected String toBigControlFrame$str() {
        return toBigControlFrame;
    }
    @Override
    public final io.undertow.websockets.core.WebSocketFrameCorruptedException toBigControlFrame() {
        final io.undertow.websockets.core.WebSocketFrameCorruptedException result = new io.undertow.websockets.core.WebSocketFrameCorruptedException(String.format(toBigControlFrame$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String reservedOpCodeInControlFrame = "UT002007: Control frame using reserved opcode = %s";
    protected String reservedOpCodeInControlFrame$str() {
        return reservedOpCodeInControlFrame;
    }
    @Override
    public final io.undertow.websockets.core.WebSocketFrameCorruptedException reservedOpCodeInControlFrame(final int opCode) {
        final io.undertow.websockets.core.WebSocketFrameCorruptedException result = new io.undertow.websockets.core.WebSocketFrameCorruptedException(String.format(reservedOpCodeInControlFrame$str(), opCode));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String controlFrameWithPayloadLen1 = "UT002008: Received close control frame with payload len 1";
    protected String controlFrameWithPayloadLen1$str() {
        return controlFrameWithPayloadLen1;
    }
    @Override
    public final io.undertow.websockets.core.WebSocketFrameCorruptedException controlFrameWithPayloadLen1() {
        final io.undertow.websockets.core.WebSocketFrameCorruptedException result = new io.undertow.websockets.core.WebSocketFrameCorruptedException(String.format(controlFrameWithPayloadLen1$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String reservedOpCodeInDataFrame = "UT002009: Data frame using reserved opcode = %s";
    protected String reservedOpCodeInDataFrame$str() {
        return reservedOpCodeInDataFrame;
    }
    @Override
    public final io.undertow.websockets.core.WebSocketFrameCorruptedException reservedOpCodeInDataFrame(final int opCode) {
        final io.undertow.websockets.core.WebSocketFrameCorruptedException result = new io.undertow.websockets.core.WebSocketFrameCorruptedException(String.format(reservedOpCodeInDataFrame$str(), opCode));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String continuationFrameOutsideFragmented = "UT002010: Received continuation data frame outside fragmented message";
    protected String continuationFrameOutsideFragmented$str() {
        return continuationFrameOutsideFragmented;
    }
    @Override
    public final io.undertow.websockets.core.WebSocketFrameCorruptedException continuationFrameOutsideFragmented() {
        final io.undertow.websockets.core.WebSocketFrameCorruptedException result = new io.undertow.websockets.core.WebSocketFrameCorruptedException(String.format(continuationFrameOutsideFragmented$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String nonContinuationFrameInsideFragmented = "UT002011: Received non-continuation data frame while inside fragmented message";
    protected String nonContinuationFrameInsideFragmented$str() {
        return nonContinuationFrameInsideFragmented;
    }
    @Override
    public final io.undertow.websockets.core.WebSocketFrameCorruptedException nonContinuationFrameInsideFragmented() {
        final io.undertow.websockets.core.WebSocketFrameCorruptedException result = new io.undertow.websockets.core.WebSocketFrameCorruptedException(String.format(nonContinuationFrameInsideFragmented$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String invalidDataFrameLength = "UT002012: Invalid data frame length (not using minimal length encoding)";
    protected String invalidDataFrameLength$str() {
        return invalidDataFrameLength;
    }
    @Override
    public final io.undertow.websockets.core.WebSocketFrameCorruptedException invalidDataFrameLength() {
        final io.undertow.websockets.core.WebSocketFrameCorruptedException result = new io.undertow.websockets.core.WebSocketFrameCorruptedException(String.format(invalidDataFrameLength$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String unsupportedOpCode = "UT002013: Cannot decode web socket frame with opcode: %s";
    protected String unsupportedOpCode$str() {
        return unsupportedOpCode;
    }
    @Override
    public final IllegalStateException unsupportedOpCode(final int opCode) {
        final IllegalStateException result = new IllegalStateException(String.format(unsupportedOpCode$str(), opCode));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String unsupportedFrameType = "UT002014: WebSocketFrameType %s is not supported by this WebSocketChannel\"";
    protected String unsupportedFrameType$str() {
        return unsupportedFrameType;
    }
    @Override
    public final IllegalArgumentException unsupportedFrameType(final io.undertow.websockets.core.WebSocketFrameType type) {
        final IllegalArgumentException result = new IllegalArgumentException(String.format(unsupportedFrameType$str(), type));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String extensionsNotAllowed = "UT002015: Extensions not allowed but received rsv of %s";
    protected String extensionsNotAllowed$str() {
        return extensionsNotAllowed;
    }
    @Override
    public final io.undertow.websockets.core.WebSocketFrameCorruptedException extensionsNotAllowed(final int rsv) {
        final io.undertow.websockets.core.WebSocketFrameCorruptedException result = new io.undertow.websockets.core.WebSocketFrameCorruptedException(String.format(extensionsNotAllowed$str(), rsv));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String unsupportedProtocol = "UT002016: Could not find supported protocol in request list %s. Supported protocols are %s";
    protected String unsupportedProtocol$str() {
        return unsupportedProtocol;
    }
    @Override
    public final io.undertow.websockets.core.WebSocketHandshakeException unsupportedProtocol(final String requestedSubprotocols, final Collection<String> subprotocols) {
        final io.undertow.websockets.core.WebSocketHandshakeException result = new io.undertow.websockets.core.WebSocketHandshakeException(String.format(unsupportedProtocol$str(), requestedSubprotocols, subprotocols));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String noLengthEncodedInFrame = "UT002017: No Length encoded in the frame";
    protected String noLengthEncodedInFrame$str() {
        return noLengthEncodedInFrame;
    }
    @Override
    public final io.undertow.websockets.core.WebSocketFrameCorruptedException noLengthEncodedInFrame() {
        final io.undertow.websockets.core.WebSocketFrameCorruptedException result = new io.undertow.websockets.core.WebSocketFrameCorruptedException(String.format(noLengthEncodedInFrame$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String payloadNotSupportedInCloseFrames = "UT002018: Payload is not support in CloseFrames when using WebSocket Version 00";
    protected String payloadNotSupportedInCloseFrames$str() {
        return payloadNotSupportedInCloseFrames;
    }
    @Override
    public final IllegalArgumentException payloadNotSupportedInCloseFrames() {
        final IllegalArgumentException result = new IllegalArgumentException(String.format(payloadNotSupportedInCloseFrames$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String invalidPayloadLengthForPing = "UT002019: Invalid payload for PING (payload length must be <= 125, was %s)";
    protected String invalidPayloadLengthForPing$str() {
        return invalidPayloadLengthForPing;
    }
    @Override
    public final IllegalArgumentException invalidPayloadLengthForPing(final long payloadLength) {
        final IllegalArgumentException result = new IllegalArgumentException(String.format(invalidPayloadLengthForPing$str(), payloadLength));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String noPayloadAllowedForCloseFrames = "UT002020: Payload is not supported for Close Frames when using WebSocket 00";
    protected String noPayloadAllowedForCloseFrames$str() {
        return noPayloadAllowedForCloseFrames;
    }
    @Override
    public final IOException noPayloadAllowedForCloseFrames() {
        final IOException result = new IOException(String.format(noPayloadAllowedForCloseFrames$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String fragmentationNotSupported = "UT002021: Fragmentation not supported";
    protected String fragmentationNotSupported$str() {
        return fragmentationNotSupported;
    }
    @Override
    public final UnsupportedOperationException fragmentationNotSupported() {
        final UnsupportedOperationException result = new UnsupportedOperationException(String.format(fragmentationNotSupported$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String writeInProgress = "UT002022: Can only be changed before the write is in progress";
    protected String writeInProgress$str() {
        return writeInProgress;
    }
    @Override
    public final IllegalStateException writeInProgress() {
        final IllegalStateException result = new IllegalStateException(String.format(writeInProgress$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String extensionsNotSupported = "UT002023: Extensions not supported";
    protected String extensionsNotSupported$str() {
        return extensionsNotSupported;
    }
    @Override
    public final UnsupportedOperationException extensionsNotSupported() {
        final UnsupportedOperationException result = new UnsupportedOperationException(String.format(extensionsNotSupported$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String negativePayloadLength = "UT002024: The payload length must be >= 0";
    protected String negativePayloadLength$str() {
        return negativePayloadLength;
    }
    @Override
    public final IllegalArgumentException negativePayloadLength() {
        final IllegalArgumentException result = new IllegalArgumentException(String.format(negativePayloadLength$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String closedBeforeAllBytesWereRead = "UT002025: Closed before all bytes where read";
    protected String closedBeforeAllBytesWereRead$str() {
        return closedBeforeAllBytesWereRead;
    }
    @Override
    public final IOException closedBeforeAllBytesWereRead() {
        final IOException result = new IOException(String.format(closedBeforeAllBytesWereRead$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String invalidCloseFrameStatusCode = "UT002026: Invalid close frame status code: %s";
    protected String invalidCloseFrameStatusCode$str() {
        return invalidCloseFrameStatusCode;
    }
    @Override
    public final io.undertow.websockets.core.WebSocketInvalidCloseCodeException invalidCloseFrameStatusCode(final int statusCode) {
        final io.undertow.websockets.core.WebSocketInvalidCloseCodeException result = new io.undertow.websockets.core.WebSocketInvalidCloseCodeException(String.format(invalidCloseFrameStatusCode$str(), statusCode));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String streamIsBroken = "UT002027: Could not send data, as the underlying web socket connection has been broken";
    protected String streamIsBroken$str() {
        return streamIsBroken;
    }
    @Override
    public final IOException streamIsBroken() {
        final IOException result = new IOException(String.format(streamIsBroken$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String lengthBiggerThenFileChannel = "UT002028: Specified length is bigger the available size of the FileChannel";
    protected String lengthBiggerThenFileChannel$str() {
        return lengthBiggerThenFileChannel;
    }
    @Override
    public final IllegalArgumentException lengthBiggerThenFileChannel() {
        final IllegalArgumentException result = new IllegalArgumentException(String.format(lengthBiggerThenFileChannel$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String fragmentedSenderCompleteAlready = "UT002029: FragmentedSender was complete already";
    protected String fragmentedSenderCompleteAlready$str() {
        return fragmentedSenderCompleteAlready;
    }
    @Override
    public final IllegalArgumentException fragmentedSenderCompleteAlready() {
        final IllegalArgumentException result = new IllegalArgumentException(String.format(fragmentedSenderCompleteAlready$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String senderCallbacksEmpty = "UT002030: Array of SenderCallbacks must be non empty";
    protected String senderCallbacksEmpty$str() {
        return senderCallbacksEmpty;
    }
    @Override
    public final IllegalArgumentException senderCallbacksEmpty() {
        final IllegalArgumentException result = new IllegalArgumentException(String.format(senderCallbacksEmpty$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String fragmentedSenderInUse = "UT002031: Only one FragmentedSender can be used at the same time";
    protected String fragmentedSenderInUse$str() {
        return fragmentedSenderInUse;
    }
    @Override
    public final IllegalStateException fragmentedSenderInUse() {
        final IllegalStateException result = new IllegalStateException(String.format(fragmentedSenderInUse$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String closeFrameSentBefore = "UT002032: Close frame was send before";
    protected String closeFrameSentBefore$str() {
        return closeFrameSentBefore;
    }
    @Override
    public final IOException closeFrameSentBefore() {
        final IOException result = new IOException(String.format(closeFrameSentBefore$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String blockingOperationInIoThread = "UT002033: Blocking operation was called in IO thread";
    protected String blockingOperationInIoThread$str() {
        return blockingOperationInIoThread;
    }
    @Override
    public final IllegalStateException blockingOperationInIoThread() {
        final IllegalStateException result = new IllegalStateException(String.format(blockingOperationInIoThread$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String frameNotMasked = "UT002034: Web socket frame was not masked";
    protected String frameNotMasked$str() {
        return frameNotMasked;
    }
    @Override
    public final io.undertow.websockets.core.WebSocketFrameCorruptedException frameNotMasked() {
        final io.undertow.websockets.core.WebSocketFrameCorruptedException result = new io.undertow.websockets.core.WebSocketFrameCorruptedException(String.format(frameNotMasked$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String noWebSocketUpgradeHeader = "UT002035: The response did not contain an 'Upgrade: websocket' header";
    protected String noWebSocketUpgradeHeader$str() {
        return noWebSocketUpgradeHeader;
    }
    @Override
    public final IOException noWebSocketUpgradeHeader() {
        final IOException result = new IOException(String.format(noWebSocketUpgradeHeader$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String noWebSocketConnectionHeader = "UT002036: The response did not contain a 'Connection: upgrade' header";
    protected String noWebSocketConnectionHeader$str() {
        return noWebSocketConnectionHeader;
    }
    @Override
    public final IOException noWebSocketConnectionHeader() {
        final IOException result = new IOException(String.format(noWebSocketConnectionHeader$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String webSocketAcceptKeyMismatch = "UT002037: Sec-WebSocket-Accept mismatch, expecting %s, received %s";
    protected String webSocketAcceptKeyMismatch$str() {
        return webSocketAcceptKeyMismatch;
    }
    @Override
    public final IOException webSocketAcceptKeyMismatch(final String dKey, final String acceptKey) {
        final IOException result = new IOException(String.format(webSocketAcceptKeyMismatch$str(), dKey, acceptKey));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String incorrectFrameType = "UT002038: Cannot call method with frame type %s, only text or binary is allowed";
    protected String incorrectFrameType$str() {
        return incorrectFrameType;
    }
    @Override
    public final IllegalArgumentException incorrectFrameType(final io.undertow.websockets.core.WebSocketFrameType type) {
        final IllegalArgumentException result = new IllegalArgumentException(String.format(incorrectFrameType$str(), type));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String dataHasBeenReleased = "UT002039: Data has already been released";
    protected String dataHasBeenReleased$str() {
        return dataHasBeenReleased;
    }
    @Override
    public final IllegalStateException dataHasBeenReleased() {
        final IllegalStateException result = new IllegalStateException(String.format(dataHasBeenReleased$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String messageToBig = "UT002040: Message exceeded max message size of %s";
    protected String messageToBig$str() {
        return messageToBig;
    }
    @Override
    public final String messageToBig(final long maxMessageSize) {
        return String.format(messageToBig$str(), maxMessageSize);
    }
    private static final String messageOverflow = "UT002041: Attempted to write more data than the specified payload length";
    protected String messageOverflow$str() {
        return messageOverflow;
    }
    @Override
    public final IOException messageOverflow() {
        final IOException result = new IOException(String.format(messageOverflow$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String unsupportedExtension = "UT002042: Server responded with unsupported extension %s. Supported extensions: %s";
    protected String unsupportedExtension$str() {
        return unsupportedExtension;
    }
    @Override
    public final IOException unsupportedExtension(final String part, final List<WebSocketExtension> supportedExtensions) {
        final IOException result = new IOException(String.format(unsupportedExtension$str(), part, supportedExtensions));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String badExtensionsConfiguredInClient = "UT002043: WebSocket client is trying to use extensions but there is not extensions configured";
    protected String badExtensionsConfiguredInClient$str() {
        return badExtensionsConfiguredInClient;
    }
    @Override
    public final IllegalStateException badExtensionsConfiguredInClient() {
        final IllegalStateException result = new IllegalStateException(String.format(badExtensionsConfiguredInClient$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String badCompressedPayload = "UT002044: Compressed message payload is corrupted";
    protected String badCompressedPayload$str() {
        return badCompressedPayload;
    }
    @Override
    public final IOException badCompressedPayload(final DataFormatException cause) {
        final IOException result = new IOException(String.format(badCompressedPayload$str()), cause);
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String unableToSendOnNewChannel = "UT002045: Unable to send on newly created channel!";
    protected String unableToSendOnNewChannel$str() {
        return unableToSendOnNewChannel;
    }
    @Override
    public final IllegalStateException unableToSendOnNewChannel() {
        final IllegalStateException result = new IllegalStateException(String.format(unableToSendOnNewChannel$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
}
